#include <stdlib.h>
#include <stdio.h>

typedef unsigned char u_8;
typedef unsigned int u_32;

int dispendian(void)
{
  union {
    struct {
      u_8 a;
      u_8 b;
      u_8 c;
      u_8 d;
    } one;
    u_32 two;
  } u;

  u.two = 0x12345678u;

  if (u.one.a == 0x78 && u.one.b == 0x56 &&
      u.one.c == 0x34 && u.one.d == 0x12) {
    puts("This computer is little endian");
  } else if (u.one.a == 0x12 && u.one.b == 0x34 &&
        u.one.c == 0x56 && u.one.d == 0x78) {
    puts("This computer is big endian");
  } else {
    printf("This computer is unknown : %02X %02X %02X %02X\n",
	   u.one.a, u.one.b, u.one.c, u.one.d);
  }

  return(0);
}

int dispsize(void)
{
  printf("This computer is %d bit\n", (int)(sizeof(void*)*8));
  return(0);
}

int main(void)
{
  dispsize();
  dispendian();

  return(0);
}
