/*
                                  NETWIB
                             Network library
                Copyright(c) 1999-2004 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Netwib.

  Netwib is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1 as published by the Free Software Foundation.

  Netwib is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

/*-------------------------------------------------------------*/
/* This should be in priv.c, but libnet header conflicts with
   net/if.h net/if_arp.h netinet/if_ether.h (OpenBSD, FreeBSD).
   So, we cannot mix inc/maininc.h and libnet.h.
   So libnet has to be compiled alone in order to be able to
   compile it under BSD.
   For the moment, there is nothing in this module, so I
   decided to put it here, instead of creating
   src/netwib/lib/libnet.c.
*/

/*-------------------------------------------------------------*/
#include <netwib.h>
#if defined NETWIBDEF_SYSNAME_Unix
 #if NETWIBDEF_LIBNETINSTALLED == 1
  /* to include libnet */
  #ifdef NETWIBDEF_SYSNAME_Linux
   #define _GNU_SOURCE 1
  #endif
  #include <stdlib.h>
  #ifdef __cplusplus
   extern "C" {
  #endif
  #include <libnet.h>
  #ifdef __cplusplus
   }
  #endif
  /* to include private functions of netwib */
  #define NETWIBDEF_PRIV_DONT_WANT_SYS 1
  #include <netwib/dat/priv.h>
  #include <netwib/sys/priv.h>
  #include <netwib/net/priv.h>
 #else
  /* there is no conflict because libnet is not installed */
  #include <netwib/inc/maininc.h>
 #endif
#elif defined NETWIBDEF_SYSNAME_Windows
 /* very simple under Windows */
 #include <netwib/inc/maininc.h>
#endif

/*-------------------------------------------------------------*/
/* and now the main code */
#include "priv/libnet.c"
